Get an employee event
get
/hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEventDetails/{EventNumber}
Request
Path Parameters
-
EventNumber(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : communicateUIEmployeeEventDetails-item-response
Type:
Show Source
object-
BannerImageURL: string
Maximum Length:
2048Image URL for the event banner. -
CategoryCodes: string
Maximum Length:
255Employee event category codes. -
CategoryDescriptions: string
Maximum Length:
255Employee event category descriptions. -
City: string
Title:
CityRead Only:trueMaximum Length:255City of an in-person event. -
CityGeographyId: integer
(int64)
Title:
CityCity geography identifier of an in-person event. -
Country: string
Title:
CountryRead Only:trueMaximum Length:255Country of an in-person event's location. -
CountryCode: string
Title:
CountryMaximum Length:30Country code for the location of an in-person event. -
Description: string
(byte)
Title:
Event DescriptionDescription of the event. -
EmployeeEventId: integer
(int64)
Unique identifier for the event.
-
EmployeeEventLocationId: integer
(int64)
Location identifier for the event.
-
EndDate: string
(date-time)
Title:
End DateEnd date of the event. -
EventLastModifiedDate: string
(date-time)
Last modified date of the event.
-
eventMessages: array
Employee Event Messages
Title:
Employee Event MessagesThe child resource for event messages. -
eventMetrics: array
Employee Event Metrics
Title:
Employee Event MetricsThe child resource for event metrics. -
EventNumber: string
Maximum Length:
64Event number of the event. -
EventOrigin: string
Maximum Length:
64Indicates the origin of the employee event. This value specifies where the event was initiated or recorded. -
EventOriginId: integer
(int64)
Unique identifier for the origin of the employee event.
-
EventOriginName: string
Read Only:
trueMaximum Length:255Name of the event origin for the employee event. -
EventStatus: string
Read Only:
trueMaximum Length:255Event status description. -
EventStatusCode: string
Read Only:
trueMaximum Length:255Status code of the event. -
Format: string
Title:
FormatRead Only:trueMaximum Length:255Format of the event. -
FormatCode: string
Title:
FormatMaximum Length:30Format code for the event. -
LastRegisterDate: string
(date-time)
Title:
Last Day to RegisterLast registration date for the event. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LocationDetails: string
(byte)
Title:
Location DetailsLocation details for the event. -
MaximumCapacity: integer
Title:
Maximum CapacityRead Only:trueMaximum number of registrants allowed for the event. -
MaximumCapacityInperson: integer
(int64)
Title:
Maximum CapacityMaximum number of registrants allowed for an in-person event. -
MaximumCapacityVirtual: integer
(int64)
Title:
Maximum CapacityMaximum number of registrants allowed for a virtual event. -
MeetingDetails: string
(byte)
Title:
Meeting InfoMeeting details for a virtual event. -
Name: string
Title:
NameMaximum Length:240Name of the event. -
owners: array
Employee Event Owners
Title:
Employee Event OwnersThe child resource that provides details of the owners of the employee event. -
QstnrVersionNumber: integer
(int32)
Questionnaire version number associated with the employee event. This number identifies the specific version of the questionnaire used.
-
QuestionnaireId: integer
(int64)
Unique identifier for the questionnaire associated with the employee event.
-
questionnaires: array
Questionnaires
Title:
QuestionnairesThe questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined. -
questions: array
Questions
Title:
QuestionsThe child resource for questionnaire questions. -
RegisteredCount: integer
Read Only:
trueNumber of registrants in the event. -
RegisteredCountInperson: integer
(int64)
Number of registrants in the in-person event.
-
RegisteredCountVirtual: integer
(int64)
Number of registrants in the virtual event.
-
StartDate: string
(date-time)
Title:
Start DateStart date of the event. -
State: string
Title:
StateRead Only:trueMaximum Length:255State in which the in-person event takes place. -
StateGeographyId: integer
(int64)
Title:
StateGeography identifier of the state in which the event takes place. -
StatusUpdatedDate: string
(date-time)
Date the event's status was updated.
-
TimezoneCode: string
Title:
Time ZoneMaximum Length:50Time zone code for the event. -
TimezoneDescription: string
Read Only:
trueMaximum Length:255Time zone description for the event. -
VisibilityCode: string
Maximum Length:
30Indicates the visibility level of the employee event details. Valid values are Public and Private. Default is Public. -
WebConfLink: string
Title:
Meeting Web LinkMaximum Length:300Web conference link for the virtual event.
Nested Schema : Employee Event Messages
Type:
arrayTitle:
Employee Event MessagesThe child resource for event messages.
Show Source
Nested Schema : Employee Event Metrics
Type:
arrayTitle:
Employee Event MetricsThe child resource for event metrics.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Employee Event Owners
Type:
arrayTitle:
Employee Event OwnersThe child resource that provides details of the owners of the employee event.
Show Source
Nested Schema : Questionnaires
Type:
arrayTitle:
QuestionnairesThe questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe child resource for questionnaire questions.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-eventMessages-item-response
Type:
Show Source
object-
Body: string
(byte)
Read Only:
trueBody of event messages. -
EmployeeEventId: integer
Read Only:
trueIdentifier of the event to which the messages belongs. -
EventNumber: string
Read Only:
trueMaximum Length:64Number of the event to which the messages belongs. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MsgSenderEmailAddress: string
Read Only:
trueMaximum Length:240Email Address of the message sender to which the event messages belongs. -
MsgSenderId: integer
(int64)
Read Only:
trueIdentifier of the message sender to which the event messages belongs. -
MsgSenderName: string
Read Only:
trueMaximum Length:240Name of the message sender to which the event messages belongs. -
MsgSentTime: string
(date-time)
Read Only:
trueTime the event messages were sent. -
Subject: string
Read Only:
trueMaximum Length:2000Subject of event messages.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : communicateUIEmployeeEventDetails-eventMetrics-item-response
Type:
Show Source
object-
EmployeeEventId: integer
(int64)
Read Only:
trueIdentifier of the event to which the metric belongs. -
EventNumber: string
Read Only:
trueMaximum Length:64Number of the event to which the metric belongs. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. - ShareCount: integer
-
ViewCount: integer
Read Only:
trueNumber of times event was viewed.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-owners-item-response
Type:
Show Source
object-
DisplayName: string
Title:
NameRead Only:trueMaximum Length:240Display name for the event owner. -
EmployeeEventId: integer
(int64)
Unique identifier for the employee event.
-
EmployeeEventOwnerId: integer
(int64)
Unique identifier for the event owner.
-
FirstName: string
Title:
First NameRead Only:trueMaximum Length:150First name of the event owner. -
FullName: string
Title:
Full NameRead Only:trueMaximum Length:2000Full name of the event owner. -
LastName: string
Title:
Last NameRead Only:trueMaximum Length:150Last name of the event owner. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OwnerPersonId: integer
(int64)
Person identifier for the event owner.
-
OwnerTypeCode: string
Maximum Length:
30Indicates whether a person is an event owner or co-owner.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-item-response
Type:
Show Source
object-
InUse: string
Title:
In UseMaximum Length:30Default Value:NCode that shows whether the participants have already responded to the questionnaire. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the questionnaire. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreSum of the maximum possible scores of all questions that are included in the questionnaire. -
Name: string
Title:
NameMaximum Length:240Name of the questionnaire. -
QuestionnaireCode: string
Title:
Questionnaire CodeMaximum Length:240Alphanumeric code that uniquely identifies a questionnaire defined for a subscriber. -
QuestionnaireId: integer
(int64)
Title:
Questionnaire IDSurrogate identifier of the questionnaire. -
QuestionnaireVersionNumber: integer
(int64)
Title:
Questionnaire Version NumberDefault Value:1Version number of the questionnaire. Version Number should be 1 when a new questionnaire is created. -
ScoreQuestionnaire: string
Title:
Score QuestionnaireMaximum Length:30Setting that indicates if the questionnaire is scored. This is a read-only attribute. -
sections: array
Sections
Title:
SectionsThe sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Sections
Type:
arrayTitle:
SectionsThe sections resource is a child resource of the questionnaires resource. It provides details of the sections defined in the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Mandatory: string
Title:
RequiredMaximum Length:30Default Value:NIndicates whether the questionnaire section is mandatory. Valid values are Y and N. The default value is N. -
Name: string
Title:
TitleMaximum Length:240Name of the questionnaire section. -
QuestionnaireSectionId: integer
(int64)
Title:
Questionnaire Section IDSurrogate identifier for the section in a questionnaire. -
questions: array
Questions
Title:
QuestionsThe child resource for questionnaire questions. -
SectionSequenceNumber: integer
(int64)
Title:
Section Sequence NumberSequence number for a section in a questionnaire.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe child resource for questionnaire questions.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-item-response
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Indicates whether an attachment is allowed as a response to the question.
-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers. -
CategoryId: integer
Surrogate identifier of the folder where the question is stored.
-
ClassificationTypeMeaning: string
Title:
ClassificationRead Only:trueMaximum Length:80Meaning of the classification code. -
ConditionQuestionId: integer
(int64)
Title:
Controlling Question IdRead Only:trueSurrogate identifier of the controlling question. Required if the conditional display is set to Y. -
ConditionQuestionVersionNumber: integer
(int64)
Read Only:
trueVersion number of the question. New questions must have a version number of 1. -
InstructionsText: string
Instructions or additional information for the question.
-
LatestVersion: string
Title:
Latest VersionRead Only:trueMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Mandatory: string
Title:
MandatoryMaximum Length:30Default Value:NIndicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MandatoryMeaning: string
Title:
Response RequiredRead Only:trueMaximum Length:80Indicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreMaximum possible score which is the sum of the maximum possible scores of the possible answer choices. This can be zero if none of the answer choices have a positive score defined. -
MaximumThresholdScore: integer
(int64)
Title:
Maximum Calculated ScoreMaximum score limit for the question when the total score is calculated for a response to the question. -
MinimumThresholdScore: integer
(int64)
Title:
Minimum Calculated ScoreMinimum number of answer choices that a participant can select when responding to a multiple choice question. -
Owner: string
Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private.
-
PrivacyFlag: boolean
Indicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it.
-
QuestionCode: string
Title:
CodeRead Only:trueMaximum Length:240Question code for the question used in the questionnaire template section. Valid values are defined in the list questionsLOV. -
questionDetails: array
Questions
Title:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire. -
QuestionId: integer
(int64)
Title:
Question IDSurrogate identifier of the question. -
QuestionnaireQuestionId: integer
(int64)
Title:
Questionnaire Question IDSurrogate identifier of the question in the questionnaire. -
QuestionText: string
Question text for the question.
-
QuestionType: string
Question type code indicating the type of the question.
-
QuestionTypeMeaning: string
Title:
MeaningRead Only:trueMaximum Length:80Meaning of the question type code. -
QuestionVersionNumber: integer
(int64)
Title:
VersionVersion number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
Surrogate identifier of the response type for the question.
-
ScoreQuestion: string
Title:
Score QuestionRead Only:trueMaximum Length:30Indicates whether the question is used in calculating the score. The default value is N. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence number of a question in the questionnaire and section definitions. -
Status: string
Status of the question. Valid values are A for Active, I for Inactive and D for Draft.
-
SubscriberId: integer
Surrogate identifier for the subscriber.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-answers-item-response
Type:
Show Source
object-
AnswerCode: string
Title:
Response CodeMaximum Length:240Unique code for the answer choice defined for a question. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LongText: string
Title:
Long TextMaximum Length:2000Answer text for the answer choices of a question. -
QuestionAnswerId: integer
(int64)
Title:
Question Answer IDSurrogate identifier for the answer choice defined for a question. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence in which the answer choice is presented during response by a participant.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-questionDetails-item-response
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Title:
Allow attachmentsMaximum Length:30Default Value:falseIndicates whether an attachment is allowed as a response to the question. -
CategoryId: integer
(int64)
Title:
FolderSurrogate identifier of the folder where the question is stored. -
InstructionsText: string
Maximum Length:
4000Instructions or additional information for the question. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Owner: string
Title:
OwnerMaximum Length:64Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private. -
PrivacyFlag: boolean
Title:
PrivacyMaximum Length:30Default Value:falseIndicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it. -
QuestionCode: string
Title:
Question CodeMaximum Length:240Alphanumeric value that uniquely identifies a question defined for a subscriber. -
QuestionId: integer
(int64)
Title:
Question CodeSurrogate identifier for the question. -
QuestionText: string
Title:
Question TextMaximum Length:2000Text of the question being asked. -
QuestionType: string
Title:
Question TypeMaximum Length:30Default Value:TEXTCode identifying the type of question. Valid values are in the list commonLookupsLOV. -
QuestionVersionNumber: integer
(int64)
Title:
Question Version NumberDefault Value:1Version number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
(int64)
Title:
Response TypeDefault Value:1Surrogate identifier of the response type for the question. -
Status: string
Title:
StatusMaximum Length:30Default Value:DStatus of the question. Valid values are A for Active, I for Inactive and D for Draft. -
SubscriberId: integer
(int64)
Title:
SubscriberSurrogate identifier for the subscriber.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questions-item-response
Type:
Show Source
object-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
QstnrQuestionId: integer
Read Only:
trueUnique identifier for the questionnaire question. -
QstnrVersionNumber: integer
(int64)
Read Only:
trueQuestionnaire version number associated with the employee event. -
QstnVersionNumber: integer
(int64)
Read Only:
trueVersion number of the question. -
QuestionId: integer
(int64)
Read Only:
trueUnique identifier for the question. -
QuestionnaireId: integer
(int64)
Read Only:
trueUnique identifier for the questionnaire associated with the employee event. -
QuestionText: string
Read Only:
trueMaximum Length:2000Text of the question displayed to the user. -
QuestionType: string
Read Only:
trueMaximum Length:30Specifies the type of question. -
ResponseCount: integer
Read Only:
trueNumber of responses received for the question. -
SequenceNumber: integer
(int64)
Read Only:
trueSequence number of the question in the employee event questionnaire. -
Type: string
Read Only:
trueMaximum Length:255Meaning for the question type.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questions-answers-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LongText: string
Read Only:
trueMaximum Length:2000Long text provided as an answer to the employee event question. -
QstnAnswerId: integer
Read Only:
trueUnique identifier for the employee's answer to a question. -
QstnVersionNumber: integer
(int64)
Read Only:
trueVersion number of the question associated with the answer. -
QuestionId: integer
(int64)
Read Only:
trueUnique identifier for the question associated with the answer. -
ResponseCount: number
Read Only:
trueNumber of responses provided for the question answer. -
SequenceNumber: integer
(int64)
Read Only:
trueSequence number of the answer in the question.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- FormatLovVA
-
Parameters:
- finder:
LookupTypeFinder%3BLookupType%3DORA_IRC_EMP_EVENT_FORMAT
The following properties are defined on the LOV link relation:- Source Attribute: FormatCode; Target Attribute: LookupCode
- Display Attribute: Meaning
- finder:
- TimezoneLOVVA
-
The following properties are defined on the LOV link relation:
- Source Attribute: TimezoneCode; Target Attribute: TimezoneId
- Display Attribute: TimezoneDisplayName
- VisibilityLOVVA
-
Parameters:
- finder:
LookupTypeFinder%3BLookupType%3DORA_IRC_EMP_EVENT_VISIBILITY
The following properties are defined on the LOV link relation:- Source Attribute: VisibilityCode; Target Attribute: LookupCode
- Display Attribute: Meaning
- finder:
- eventMessages
-
Parameters:
- EventNumber:
$request.path.EventNumber
The child resource for event messages. - EventNumber:
- eventMetrics
-
Operation: /hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEventDetails/{EventNumber}/child/eventMetricsParameters:
- EventNumber:
$request.path.EventNumber
The child resource for event metrics. - EventNumber:
- owners
-
Operation: /hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEventDetails/{EventNumber}/child/ownersParameters:
- EventNumber:
$request.path.EventNumber
The child resource that provides details of the owners of the employee event. - EventNumber:
- questionnaires
-
Parameters:
- EventNumber:
$request.path.EventNumber
The questionnaires resource provides all the details of a questionnaire, its sections, questions, and the attachments defined. - EventNumber:
- questions
-
Operation: /hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEventDetails/{EventNumber}/child/questionsParameters:
- EventNumber:
$request.path.EventNumber
The child resource for questionnaire questions. - EventNumber: